# Generated from valid_items-0.0.11.gem by gem2rpm -*- rpm-spec -*-
%global gem_name valid_items

Name: rubygem-%{gem_name}
Version: 0.0.11
Release: 1%{?dist}
Summary: Check that all your Rails ActiveRecord Objects still pass their model validations
License: MIT
URL: http://rubygems.org/gems/valid_items
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rubocop) >= 0.50.0
# BuildRequires: rubygem(rubocop) < 0.51
BuildArch: noarch

%description
Goes through all your Rails ActiveRecord objects and check if they are all
still pass your model validations. You may have added new validations to your
model since creating your object, or ran update_column in your console to
solve a production issue. Find issues in your db before others do. Inspired by
a RailsConf talk by Ryan Laughlin and his talk at
http://www.rofreg.com/talks/railsconf2018.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/valid_items.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.11-1
- Initial package
